/*
 * dictDecls.h --
 *
 *	Declarations of functions in the platform independent public dict API.
 *
 * Copyright (c) 2005 Unitas Software B.V.
 * Copyright (c) 2005 by Pascal Scheffers
 *
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id$
 */

#ifndef _ZLIBDECLS
#define _ZLIBDECLS

/*
 * WARNING: This file is automatically generated by the tools/genStubs.tcl
 * script.  Any modifications to the function declarations below should be made
 * in the generic/zlib.decls script.
 */

/* !BEGIN!: Do not edit below this line. */

/*
 * Exported function declarations:
 */

#ifndef Zlib_Deflate_TCL_DECLARED
#define Zlib_Deflate_TCL_DECLARED
/* 0 */
EXTERN int		Zlib_Deflate _ANSI_ARGS_((Tcl_Interp * interp, 
				int format, Tcl_Obj * data, int level));
#endif
#ifndef Zlib_Inflate_TCL_DECLARED
#define Zlib_Inflate_TCL_DECLARED
/* 1 */
EXTERN int		Zlib_Inflate _ANSI_ARGS_((Tcl_Interp * interp, 
				int format, Tcl_Obj * data, int buffersize));
#endif
#ifndef Zlib_CRC32_TCL_DECLARED
#define Zlib_CRC32_TCL_DECLARED
/* 2 */
EXTERN unsigned int	Zlib_CRC32 _ANSI_ARGS_((unsigned int crc, 
				const char * buf, unsigned int len));
#endif
#ifndef Zlib_Adler32_TCL_DECLARED
#define Zlib_Adler32_TCL_DECLARED
/* 3 */
EXTERN unsigned int	Zlib_Adler32 _ANSI_ARGS_((unsigned int adler, 
				const char * buf, unsigned int len));
#endif
#ifndef Zlib_StreamInit_TCL_DECLARED
#define Zlib_StreamInit_TCL_DECLARED
/* 4 */
EXTERN int		Zlib_StreamInit _ANSI_ARGS_((Tcl_Interp * interp, 
				int mode, int format, int level, 
				ZlibHandle * zshandle));
#endif
#ifndef Zlib_StreamGetCommandName_TCL_DECLARED
#define Zlib_StreamGetCommandName_TCL_DECLARED
/* 5 */
EXTERN Tcl_Obj *	Zlib_StreamGetCommandName _ANSI_ARGS_((
				ZlibHandle zshandle));
#endif
#ifndef Zlib_StreamEof_TCL_DECLARED
#define Zlib_StreamEof_TCL_DECLARED
/* 6 */
EXTERN int		Zlib_StreamEof _ANSI_ARGS_((ZlibHandle zshandle));
#endif
#ifndef Zlib_StreamAdler32_TCL_DECLARED
#define Zlib_StreamAdler32_TCL_DECLARED
/* 7 */
EXTERN int		Zlib_StreamAdler32 _ANSI_ARGS_((ZlibHandle zshandle));
#endif
#ifndef Zlib_StreamPut_TCL_DECLARED
#define Zlib_StreamPut_TCL_DECLARED
/* 8 */
EXTERN int		Zlib_StreamPut _ANSI_ARGS_((ZlibHandle zshandle, 
				Tcl_Obj * data, int flush));
#endif
#ifndef Zlib_StreamGet_TCL_DECLARED
#define Zlib_StreamGet_TCL_DECLARED
/* 9 */
EXTERN int		Zlib_StreamGet _ANSI_ARGS_((ZlibHandle zshandle, 
				Tcl_Obj * data, int count));
#endif
#ifndef Zlib_StreamClose_TCL_DECLARED
#define Zlib_StreamClose_TCL_DECLARED
/* 10 */
EXTERN int		Zlib_StreamClose _ANSI_ARGS_((ZlibHandle zshandle));
#endif
#ifndef Zlib_StreamReset_TCL_DECLARED
#define Zlib_StreamReset_TCL_DECLARED
/* 11 */
EXTERN int		Zlib_StreamReset _ANSI_ARGS_((ZlibHandle zshandle));
#endif

typedef struct ZlibStubs {
    int magic;
    struct ZlibStubHooks *hooks;

    int (*zlib_Deflate) _ANSI_ARGS_((Tcl_Interp * interp, int format, Tcl_Obj * data, int level)); /* 0 */
    int (*zlib_Inflate) _ANSI_ARGS_((Tcl_Interp * interp, int format, Tcl_Obj * data, int buffersize)); /* 1 */
    unsigned int (*zlib_CRC32) _ANSI_ARGS_((unsigned int crc, const char * buf, unsigned int len)); /* 2 */
    unsigned int (*zlib_Adler32) _ANSI_ARGS_((unsigned int adler, const char * buf, unsigned int len)); /* 3 */
    int (*zlib_StreamInit) _ANSI_ARGS_((Tcl_Interp * interp, int mode, int format, int level, ZlibHandle * zshandle)); /* 4 */
    Tcl_Obj * (*zlib_StreamGetCommandName) _ANSI_ARGS_((ZlibHandle zshandle)); /* 5 */
    int (*zlib_StreamEof) _ANSI_ARGS_((ZlibHandle zshandle)); /* 6 */
    int (*zlib_StreamAdler32) _ANSI_ARGS_((ZlibHandle zshandle)); /* 7 */
    int (*zlib_StreamPut) _ANSI_ARGS_((ZlibHandle zshandle, Tcl_Obj * data, int flush)); /* 8 */
    int (*zlib_StreamGet) _ANSI_ARGS_((ZlibHandle zshandle, Tcl_Obj * data, int count)); /* 9 */
    int (*zlib_StreamClose) _ANSI_ARGS_((ZlibHandle zshandle)); /* 10 */
    int (*zlib_StreamReset) _ANSI_ARGS_((ZlibHandle zshandle)); /* 11 */
} ZlibStubs;

#ifdef __cplusplus
extern "C" {
#endif
extern ZlibStubs *zlibStubsPtr;
#ifdef __cplusplus
}
#endif

#if defined(USE_ZLIB_STUBS) && !defined(USE_ZLIB_STUB_PROCS)

/*
 * Inline function declarations:
 */

#ifndef Zlib_Deflate
#define Zlib_Deflate \
	(zlibStubsPtr->zlib_Deflate) /* 0 */
#endif
#ifndef Zlib_Inflate
#define Zlib_Inflate \
	(zlibStubsPtr->zlib_Inflate) /* 1 */
#endif
#ifndef Zlib_CRC32
#define Zlib_CRC32 \
	(zlibStubsPtr->zlib_CRC32) /* 2 */
#endif
#ifndef Zlib_Adler32
#define Zlib_Adler32 \
	(zlibStubsPtr->zlib_Adler32) /* 3 */
#endif
#ifndef Zlib_StreamInit
#define Zlib_StreamInit \
	(zlibStubsPtr->zlib_StreamInit) /* 4 */
#endif
#ifndef Zlib_StreamGetCommandName
#define Zlib_StreamGetCommandName \
	(zlibStubsPtr->zlib_StreamGetCommandName) /* 5 */
#endif
#ifndef Zlib_StreamEof
#define Zlib_StreamEof \
	(zlibStubsPtr->zlib_StreamEof) /* 6 */
#endif
#ifndef Zlib_StreamAdler32
#define Zlib_StreamAdler32 \
	(zlibStubsPtr->zlib_StreamAdler32) /* 7 */
#endif
#ifndef Zlib_StreamPut
#define Zlib_StreamPut \
	(zlibStubsPtr->zlib_StreamPut) /* 8 */
#endif
#ifndef Zlib_StreamGet
#define Zlib_StreamGet \
	(zlibStubsPtr->zlib_StreamGet) /* 9 */
#endif
#ifndef Zlib_StreamClose
#define Zlib_StreamClose \
	(zlibStubsPtr->zlib_StreamClose) /* 10 */
#endif
#ifndef Zlib_StreamReset
#define Zlib_StreamReset \
	(zlibStubsPtr->zlib_StreamReset) /* 11 */
#endif

#endif /* defined(USE_ZLIB_STUBS) && !defined(USE_ZLIB_STUB_PROCS) */

/* !END!: Do not edit above this line. */

#endif /* _ZLIBDECLS */

